Вопрос Нет пакетов speex для создания freeswitch на Ubuntu


Я пытаюсь построить freeswitch на Ubuntu и получить многочисленные библиотеки. Один из них является speex, configure говорит, что он отсутствует во время dpkg говорит, что здесь:

checking for speex >= 1.2rc1 speexdsp >= 1.2rc1... Package speex was not found in the pkg-config search path. Perhaps you should add the directory containing `speex.pc' to the PKG_CONFIG_PATH environment variable No package 'speex' found Package speexdsp was not found in the pkg-config search path. Perhaps you should add the directory containing `speexdsp.pc' to the PKG_CONFIG_PATH environment variable No package 'speexdsp' found
configure: error: Library requirements (speex >= 1.2rc1 speexdsp >= 1.2rc1) not met; consider adjusting the PKG_CONFIG_PATH environment variable if your libraries are in a nonstandard prefix so pkg-config can find them.
dims@nebula2:~/src/freeswitch$ dpkg -l *speex*
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
||/ Name                             Version                          Description
+++-================================-================================-================================================================================
ii  libspeex1                        1.2~rc1-3ubuntu2                 The Speex codec runtime library
ii  libspeexdsp1                     1.2~rc1-3ubuntu2                 The Speex extended runtime library
ii  speex                            1.2~rc1-3ubuntu2                 The Speex codec command line tools

Зачем? и как исправить?


2
2017-07-03 23:34


происхождения




ответы:


Вам необходимо установить libspeex-dev 

sudo apt-get install libspeex-dev

Итак, вы получите результат ниже:

saman@jack:~$ dpkg -l *speex*
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
||/ Name           Version      Architecture Description
+++-==============-============-============-=================================
ii  libspeex-dev:a 1.2~rc1.1-1u amd64        The Speex codec library developme
ii  libspeex1:amd6 1.2~rc1.1-1u amd64        The Speex codec runtime library
ii  libspeexdsp1:a 1.2~rc1.1-1u amd64        The Speex extended runtime librar
un  speex          <none>       <none>       (no description available)

4
2017-07-03 23:39



Как я узнаю об этом? - Dims
Вы попробовали это? - sparkmood
Да, но в целом, как мне узнать имена библиотек, если они разные? - Dims


Вам также может потребоваться установить libspeexdsp-dev пакет (который зависит от libspeex-dev):

sudo apt-get install libspeexdsp-dev

5
2017-07-08 21:39